package com.nokia.dao;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.pojo.Area;

@SpringBootTest
public class AreaDaoTest {

    @Autowired
    private AreaDao areaDao;

    @Test
    void testGetAll() {
        List<Area> result = areaDao.getAll();
        System.out.println(result);
    }

    @Test
    void testGetByParentId() {
        List<Area> result = areaDao.getByParentId(-1);
        System.out.println(result);
    }

    @Test
    void testGetByAreaId() {
        Area area = areaDao.getByAreaId(130100);
        System.out.println(area);
    }
}
